import Event from './event';
import Key from './key';
import Subscriber from './subscriber';
import Transition from './transition';
export default class StateMachine {
    static create(initialState: Key): StateMachine;
    private currentState;
    private previousState?;
    private subscribers;
    private transitioner;
    private transitions;
    constructor(initialState: Key);
    getState(): Key;
    getPreviousState(): Key | undefined;
    addEvent(name: Key, transitions: Transition[]): void;
    addEvents(events: Event[]): void;
    removeEvent(name: Key): void;
    removeEvents(names: Key[]): void;
    hasEvent(name: Key): boolean;
    addTransition(transition: Transition): void;
    addTransitions(transitions: Transition[]): void;
    removeTransition(transition: Transition): void;
    removeTransitions(transitions: Transition[]): void;
    hasTransition(transition: Transition): boolean;
    canTransition(state: Key): boolean;
    transition(state: Key): void;
    transitionByEvent(event: Key): void;
    subscribe(subscriber: Subscriber): void;
    unsubscribe(subscriber: Subscriber): void;
}
