"use strict";
var SubscriberSet = (function () {
    function SubscriberSet() {
        this.subscribers = [];
    }
    SubscriberSet.prototype.addSubscriber = function (subscriber) {
        this.subscribers.push(subscriber);
    };
    SubscriberSet.prototype.removeSubscriber = function (subscriber) {
        var index = this.subscribers.indexOf(subscriber);
        if (index === -1) {
            return;
        }
        this.subscribers.splice(index, 1);
    };
    SubscriberSet.prototype.notifySubscribers = function (transition) {
        this.subscribers.forEach(function (subscriber) {
            subscriber(transition);
        });
    };
    return SubscriberSet;
}());
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = SubscriberSet;
//# sourceMappingURL=subscriber-set.js.map