import { default as Predicate } from './transition-predicate';
import Event from './event';
import Key from './key';
import Transition from './transition';
export default class TransitionSet {
    private transitions;
    constructor();
    addTransition(transition: Transition): void;
    addTransitions(transitions: Transition[]): void;
    addEvent(event: Event): void;
    addEvents(events: Event[]): void;
    removeTransition(transition: Transition): void;
    removeTransitions(transitions: Transition[]): void;
    removeEvent(eventName: Key): void;
    removeEvents(eventNames: Key[]): void;
    hasTransition(predicate: Predicate): boolean;
    hasEvent(eventName: Key): boolean;
    filterTransitions(predicate: Predicate): Transition[];
    private findIndex(predicate);
}
